.popover{
	position: fixed;
	z-index: 9000;
	background: #f6f5f6;
	border:1px solid #CCCCCC;
	border-radius: 5px;
	width: 300px;
	height: 200px;
	box-shadow: 0 8px 32px rgba(0,0,0,0.3);
	transform-origin: center top;
	animation: pop 0.3s cubic-bezier(0.6, 0, 0, 1);

	transform: translateX(-50%);

	-webkit-user-select:none;
	-moz-user-select:none;
	user-select:none;
}

.popover::before{
	content:'';
	display: block;
	position: absolute;
	width: 0;
	height: 0;
	border-style: solid;
	border-width: 0 12px 10px 12px;
	border-color: transparent transparent #CCCCCC transparent;
	left:50%;
	top:-10px;
	margin-left: -12px;
}

.popover::after{
	content:'';
	display: block;
	position: absolute;
	width: 0;
	height: 0;
	border-style: solid;
	border-width: 0 10px 9px 10px;
	border-color: transparent transparent #f6f5f6 transparent;
	left:50%;
	top:-9px;
	margin-left: -10px;
}

@keyframes pop{
	0%{
		transform:translateX(-50%) scale(0.5);
		opacity: 0;
	}

	100%{
		transform:translateX(-50%) scale(1);
		opacity: 1;
	}
}

.popover .content{
	overflow-x: hidden;
	overflow-y: auto;
	position: absolute;
	top:0;
	left:0;
	width: 100%;
	height: 100%;
}


.popover.edge{
	text-align: center;
	width: 220px;
	height: 170px;
}

.popover.edge .source,
.popover.edge .target{
	width: 100%;
	font-size: 12px;
	line-height: 36px;
	font-weight: 500;
	white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    padding: 0 12px;
}

.popover.edge .target{
	position: absolute;
	bottom:0;
	left:0;
}
.popover.edge header button{
	display: inline-block;
	vertical-align: middle;
	width: 40px;
	height: 36px;
	background:url(/img/swap.svg) no-repeat;
	background-size: 60%;
	background-position: 50%;
}

.popover.edge .list{
	position: absolute;
	top:36px;
	bottom: 36px;
	left:0;
	right: 0;
	overflow-y: scroll;
}

.popover.edge .list span{
	display: block;
	font-size: 14px;
	padding: 8px 0 8px 16px;
	background:white;
	
	cursor: default;
	text-align: left;
	position: relative;
	color:gray;
}

.popover.edge .list span.default{
	font-style: italic;
}

.popover.edge .list span:last-child::before{
	display: none;
}

.popover.edge .list span::before{
	content:'';
	position: absolute;
	right: 0;
	bottom:0;
	left:16px;
	height: 1px;
	background:#E7E7E7;
}

.popover.edge .list span.active{
	background:white url(/img/checked_blue.svg) no-repeat;
	background-size: auto 14px;
	background-position: 94% 50%;
}

.popover.emoji{
	width: 315px;
	height: 200px; 
}

.popover.emoji .list{
	position: absolute;
	top:0;
	bottom: 0;
	left:0;
	right: 0;
	overflow-y: scroll;
	padding: 12px;
}

.popover.emoji span{
	font-size: 22px;
	padding: 2px;
	cursor: default;
}

.popover.specialchars{
	width: 206px;
	height: 140px;
	text-align: left;
	padding: 6px;
}

.popover.specialchars span{
	width: 32px;
	height: 32px;
	line-height: 32px;
	font-size: 14px;
	display: inline-block;
	text-align: center;
	cursor: default;
}